gio-0.12.4: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | alpha
Maintainer | gtk2hs-devel@lists.sourceforge.net
Safe Haskell | None

System.GIO.Icons.ThemedIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype ThemedIcon = ThemedIcon (ForeignPtr ThemedIcon)
- class GObjectClass o => ThemedIconClass o
- themedIconNew :: ByteString -> IO ThemedIcon
- themedIconNewFromNames :: [String] -> IO ThemedIcon
- themedIconPrependName :: ThemedIconClass icon => icon -> String -> IO ()
- themedIconAppendName :: ThemedIconClass icon => icon -> String -> IO ()
- themedIconGetNames :: ThemedIconClass icon => icon -> IO [String]

# Details

`ThemeIcon` specifies an icon by pointing to an image file to be used as icon.

# Types

newtype ThemedIcon

Constructors

ThemedIcon (ForeignPtr ThemedIcon) |

Instances

Eq ThemedIcon |
Ord ThemedIcon |
GObjectClass ThemedIcon |
ThemedIconClass ThemedIcon |

class GObjectClass o => ThemedIconClass o

Instances

ThemedIconClass ThemedIcon |

# Methods

themedIconNew

Arguments

:: ByteString | `iconname` a string containing an icon name.
-> IO ThemedIcon |

Creates a new icon for a file.

themedIconNewFromNames

Arguments

:: [String] | `iconnames` an array of strings containing icon names.
-> IO ThemedIcon |

Creates a new themed icon for iconnames.

themedIconPrependName

Arguments

:: ThemedIconClass icon |
=> icon |
-> String | `iconname` name of icon to prepend to list of icons from within icon.
-> IO () |

Prepend a name to the list of icons from within icon.

themedIconAppendName

Arguments

:: ThemedIconClass icon |
=> icon |
-> String | `iconname` name of icon to append to list of icons from within icon.
-> IO () |

Append a name to the list of icons from within icon.

themedIconGetNames

Arguments

:: ThemedIconClass icon |
=> icon |
-> IO [String] | returns a list of icon names.

Gets the names of icons from within icon.